/**
 **	CSS for News Page's menu header
 **/

/** News submenu **/

#block-news-header-menu {
  margin-bottom: 40px;
	padding: 0 60px;
}

#block-news-header-menu .newsheaderblock-container {
  border-bottom: 1px solid black;
}

#block-news-header-menu .newsheaderblock-content ul {
	display: flex;
	flex-flow: row;
  flex-wrap: wrap;
  align-items: last baseline;
}

#block-news-header-menu .newsheaderblock-content ul li {
  display: flex;
  flex-flow: row;
  align-items: last baseline;
  white-space: nowrap;
  margin: 0;
  padding: 0;
}

#block-news-header-menu .newsheaderblock-content ul li.nav-item span.menu-item-divider {
  display: inline;
  padding: 0 5px;
}

#block-news-header-menu .newsheaderblock-content ul li.nav-item:last-child span.menu-item-divider {
  display: none;
}


#block-news-header-menu .newsheaderblock-content li a {   
	font-weight: bold;
  font-size: .8rem !important;
  display: inline;
  padding: 0;
  text-decoration: none;
  color: black !important; 
  text-transform: uppercase;
  white-space: nowrap;
}

#block-news-header-menu .newsheaderblock-content li a.active {
  color: #d73f09 !important;
  font-weight: 700;
}

#block-news-header-menu .newsheaderblock-content li a:hover {
  color: #d73f09 !important;
  text-decoration: underline;
}

/* news subpages header block */   

#block-news-header-menu h2 { margin-bottom: 0px; }

#block-news-header-menu h2 a,
#block-news-header-menu h2 a:visited,
#block-news-header-menu h2 a:active {
  color: black;
  text-decoration: none;
}

#block-news-header-menu h2 a:hover {
  color: #d73f09;
}

#block-news-header-menu .newsheader-added-links {
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
}

#block-news-header-menu .newsheader-added-link {
  display: inline !important;
  margin-bottom: .5rem;
}

#block-news-header-menu .newsheader-added-links div > a {
  color: black;
  z-index: 99;
  position: relative;
  white-space: nowrap;
  margin-left: .75rem;
  padding: 5px 8px;
  border-radius: .8rem;
  text-decoration: none;
  font-size: .8rem;
}

#block-news-header-menu .newsheader-added-links div > a:hover {
  color: white;
  background-color: #d73f09;
}

#block-news-header-menu .newsheader-added-links div > a.fa-regular {
  font-size: 1.5rem;
}

/* Animated Button Border */
.newsheader-added-links #newsletter-subscribe a:after {
  content: '';
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  border-radius: .8rem;
  opacity: 0;
  animation: pulse-ring 1.2s ease-out 3 forwards;
}

/* Button Border Animation */ 
@keyframes pulse-ring {
  0% {
    border: 0px solid #d73f09;
    opacity: 0;
  }
  /* The "Pulse" peak effect */
  50% {
    border: 5px solid #d73f09;
    opacity: 1;
  }
  /* Freezes into a clean, permanent 1px solid border */
  100% {
    border: 1px solid #d73f09;
    opacity: 1;
  }
}

/* Non-animated Button Border */
.newsheader-added-links #cofnews-search a:after {
  content: '';
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  border-radius: .8rem;  
  border: 1px solid #d73f09;
  opacity: 1;
}

.newsheader-added-links #cofnews-search a.active-path {
  color: white;
  background-color: #d73f09;
}

.newsheaderblock-wrapper p.menu {
  margin-bottom: .5rem;
}
